Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,104 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2014 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### create Micelle by filling sphere's surface
+
+AT_SETUP([Filling - Creating micelle by surface filling])
+AT_KEYWORDS([filling fill-surface sphere micelle rotate-to-principal-axis-system])
+
+file=tensid.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.data $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder \
+	--parse-tremolo-potentials tensid.potentials \
+	-i $file \
+	--select-all-molecules \
+	--rotate-to-principal-axis-system "0,0,-1" \
+	--create-shape \
+		--shape-name "sphere1" \
+		--shape-type "sphere" \
+		--translation "0,0,0" \
+		--stretch "20.,20.,20." \
+	--select-shape-by-name "sphere1" \
+	--fill-surface \
+		--count 20 \
+		--min-distance 3.1 \
+		--Alignment-Axis "0,0,1"
+], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Filling - Creating micelle by surface filling with Undo])
+AT_KEYWORDS([filling fill-surface sphere micelle rotate-to-principal-axis-system undo])
+
+file=tensid-undo.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.data $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder \
+	--parse-tremolo-potentials tensid.potentials \
+	-i $file \
+	--select-all-molecules \
+	--rotate-to-principal-axis-system "0,0,-1" \
+	--create-shape \
+		--shape-name "sphere1" \
+		--shape-type "sphere" \
+		--translation "0,0,0" \
+		--stretch "20.,20.,20." \
+	--select-shape-by-name "sphere1" \
+	--fill-surface \
+		--count 20 \
+		--min-distance 3.1 \
+		--Alignment-Axis "0,0,1" \
+	--undo
+], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Filling - Creating micelle by surface filling with Redo])
+AT_KEYWORDS([filling fill-surface sphere micelle rotate-to-principal-axis-system redo])
+
+file=tensid.data
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.data $file], 0)
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder \
+	--parse-tremolo-potentials tensid.potentials \
+	-i $file \
+	--select-all-molecules \
+	--rotate-to-principal-axis-system "0,0,-1" \
+	--create-shape \
+		--shape-name "sphere1" \
+		--shape-type "sphere" \
+		--translation "0,0,0" \
+		--stretch "20.,20.,20." \
+	--select-shape-by-name "sphere1" \
+	--fill-surface \
+		--count 20 \
+		--min-distance 3.1 \
+		--Alignment-Axis "0,0,1" \
+	--undo \
+	--redo
+], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
+
+AT_CLEANUP
